@extends('layouts.front')


@section('styles')   

<style>

.social-links-area {
    background: #fff;
    padding: 30px 30px 30px;
    /* Rounded sliders */
  }
  
  .social-links-area .control-label {
    text-align: right;
    font-size: 14px;
    color: #1f224f;
    font-weight: 700;
    margin-top: 3px;
  }
  
  .social-links-area .submit-btn {
    padding: 10px 30px;
    font-weight: 600;
    background: #2d3274;
    border: 1px solid #fff;
    color: #fff;
    border-radius: 30px;
    -webkit-transition: .4s;
    -o-transition: .4s;
    transition: .4s;
    font-size: 14px;
  
    margin-top: 10px;
  }
  
  .social-links-area .submit-btn:hover {
    background: #1f224f;
  }
  
  .social-links-area .switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
  .social-links-area .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .social-links-area .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    -o-transition: .4s;
    transition: .4s;
  }
  
  .social-links-area .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    -o-transition: .4s;
    transition: .4s;
  }
  
  .social-links-area input:checked+.slider {
    background-color: #2d3274;
  }
  
  .social-links-area input:focus+.slider {
    -webkit-box-shadow: 0 0 1px #2196F3;
    box-shadow: 0 0 1px #2196F3;
  }
  
  .social-links-area input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  .social-links-area .slider.round {
    border-radius: 34px;
  }
  
  .social-links-area .slider.round:before {
    border-radius: 50%;
  }
  
  .body-area .switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
  .body-area .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .body-area .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    -o-transition: .4s;
    transition: .4s;
  }
  
  .body-area .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    -o-transition: .4s;
    transition: .4s;
  }
  
  .body-area input:checked+.slider {
    background-color: #2d3274;
  }
  
  .body-area input:focus+.slider {
    -webkit-box-shadow: 0 0 1px #2196F3;
    box-shadow: 0 0 1px #2196F3;
  }
  
  .body-area input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  .body-area .slider.round {
    border-radius: 34px;
  }
  
  .body-area .slider.round:before {
    border-radius: 50%;
  }
</style>

@endsection


@section('content')      

<section class="user-dashbord">
    <div class="container">
      <div class="row">
        @include('includes.user-dashboard-sidebar')
<div class="col-lg-8">
                    <div class="user-profile-details">
                        <div class="account-info">
                            <div class="header-area">
                                <h4 class="title">
                                    Edit Business
                                </h4>
                            </div>
                            <div class="edit-info-area">

                                <div class="body">
                                    <div class="edit-info-area-form">
                                        <div class="gocover"
                                            style="background: url({{ asset('assets/images/'.$gs->loader) }}) no-repeat scroll center center rgba(45, 45, 45, 0.5);">
                                        </div>
                                        <form id="userform" action="{{route('user-profile-update')}}" method="POST"
                                            enctype="multipart/form-data">
    
                                            {{ csrf_field() }}
    
                                            @include('includes.admin.form-both')
                                            <div class="upload-img">
                                                @if($user->is_provider == 1)
                                                <div class="img"><img
                                                        src="{{ $user->shop_logo ? asset($user->photo):asset('assets/images/'.$gs->vendor_logo) }}">
                                                </div>
                                                @else
                                                <div class="img"><img
                                                        src="{{ $user->shop_logo ? asset('assets/images/vendorlogo/'.$user->shop_logo):asset('assets/images/'.$gs->vendor_logo) }}">
                                                </div>
                                                @endif
                                                @if($user->is_provider != 1)
                                                <div class="file-upload-area">
                                                    <div class="upload-file">
                                                        <input type="file" name="shop_logo" class="upload">
                                                        <span>{{ $langg->lang263 }}</span>
                                                    </div>
                                                </div>
                                                @endif
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <input name="shop_name" type="text" class="input-field"
                                                        placeholder="Business Name" required=""
                                                        value="{{ $user->shop_name }}" disabled>
                                                </div>
                                                <div class="col-lg-6">
                                                    <input name="owner_name" type="text" class="input-field"
                                                        placeholder="Owner Name" required=""
                                                        value="{{ $user->owner_name }}">
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <input name="reg_number" type="text" class="input-field"
                                                        placeholder="Registration Number" required=""
                                                        value="{{ $user->reg_number }}">
                                                </div>
                                                <div class="col-lg-6">
                                                    <select class="input-field" name="shop_category">
                                                        <option value="">Select Category</option>
                                                        @foreach (DB::table('shop_categories')->get() as $data)
                                                            <option value="{{ $data->category_name }}" {{ $user->shop_category == $data->category_name ? 'selected' : '' }}>
                                                                {{ $data->category_name }}
                                                            </option>		
                                                         @endforeach
                                                    </select>
                                                </div>
                                            </div>


                                            <div class="row">
                                             
                                              <div class="col-lg-6">
                                                <input name="phone" type="text" class="input-field"
                                                    placeholder="{{ $langg->lang266 }}" required=""
                                                    value="{{ $user->phone }}">
                                            </div>
                                              <div class="col-lg-6">
                                                  <input name="email" type="email" class="input-field"
                                                      placeholder="{{ $langg->lang265 }}" required=""
                                                      value="{{ $user->email }}" disabled>
                                              </div>
                                          </div>

                                            <div class="row">
    
                                                <div class="col-lg-12">
                                                    <textarea class="input-field" name="shop_address" required=""
                                                        placeholder="Address">{{ $user->shop_address }}</textarea>
                                                </div>
    
                                            </div>

                                            <div class="header-area">
                                              <h5 class="title font-weight-normal">
                                                  Business Details
                                              </h5>
                                          </div>

                                            <div class="row">
    

                                                
													<div class="col-lg-12">
														<textarea id="myNicEditor" class="input-field nic-edit" name="shop_details" placeholder="Business Details" style="min-height: 200px;">{{$user->shop_details}}</textarea>
													</div>
    
                                            </div>
    

                                            <div class="header-area" style="margin-top:30px;">
                                                <h5 class="title font-weight-normal">
                                                    Social Links
                                                </h5>
                                            </div>
                                            <div style="margin-top:30px" class="body-area">
                                                  <div class="row">
                                                    <label class="control-label col-sm-3" for="facebook">{{ $langg->lang526 }} *</label>
                                                    <div class="col-sm-6">
                                                      <input class="form-control" name="f_url" id="facebook" placeholder="{{ $langg->lang526 }}" required="" type="text" value="{{$user->f_url}}">
                                                    </div>
                                                    <div class="col-sm-3">
                                                      <label class="switch">
                                                        <input type="checkbox" name="f_check" value="1" {{$user->f_check==1?"checked":""}}>
                                                        <span class="slider round"></span>
                                                      </label>
                                                    </div>
                                                  </div>
                                  
                                                  <div class="row">
                                                    <label class="control-label col-sm-3" for="gplus">{{ $langg->lang527 }} *</label>
                                                    <div class="col-sm-6">
                                                      <input class="form-control" name="g_url" id="gplus" placeholder="{{ $langg->lang527 }}" required="" type="text" value="{{$user->g_url}}">
                                                    </div>
                                                    <div class="col-sm-3">
                                                      <label class="switch">
                                                        <input type="checkbox" name="g_check" value="1" {{$user->g_check==1?"checked":""}}>
                                                        <span class="slider round"></span>
                                                      </label>
                                                    </div>
                                                  </div>
                                  
                                                  <div class="row">
                                                    <label class="control-label col-sm-3" for="twitter">{{ $langg->lang528 }} *</label>
                                                    <div class="col-sm-6">
                                                      <input class="form-control" name="t_url" id="twitter" placeholder="{{ $langg->lang528 }}" required="" type="text" value="{{$user->t_url}}">
                                                    </div>
                                                    <div class="col-sm-3">
                                                      <label class="switch">
                                                        <input type="checkbox" name="t_check" value="1" {{$user->t_check==1?"checked":""}}>
                                                        <span class="slider round"></span>
                                                      </label>
                                                    </div>
                                                  </div>
                                  
                                                  <div class="row">
                                                    <label class="control-label col-sm-3" for="linkedin">{{ $langg->lang529 }} *</label>
                                                    <div class="col-sm-6">
                                                      <input class="form-control" name="l_url" id="linkedin" placeholder="{{ $langg->lang529 }}" required="" type="text" value="{{$user->l_url}}">
                                                    </div>
                                                    <div class="col-sm-3">
                                                      <label class="switch">
                                                        <input type="checkbox" name="l_check" value="1" {{$user->l_check==1?"checked":""}}>
                                                        <span class="slider round"></span>
                                                      </label>
                                                    </div>
                                                  </div>
                                                </div>
                                            <div class="form-links">
                                                <button class="submit-btn" type="submit">{{ $langg->lang271 }}</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
      </div>
    </div>
  </section>
  <script src="{{asset('assets/vendor/js/nicEdit.js')}}"></script>
  <script type="text/javascript">
    //<![CDATA[
    bkLib.onDomLoaded(function() {
        nicEditors.editors.push(
            new nicEditor().panelInstance(
                document.getElementById('myNicEditor')
            )
        );
    });
    //]]>
    </script>

@endsection